import type { AstroConfig, BuildOutput, RuntimeMode } from '../@types/astro';
import type { AstroRuntime } from '../runtime';
import type { LogOptions } from '../logger';
interface PageBuildOptions {
    astroConfig: AstroConfig;
    buildState: BuildOutput;
    logging: LogOptions;
    filepath: URL;
    mode: RuntimeMode;
    resolvePackageUrl: (s: string) => Promise<string>;
    runtime: AstroRuntime;
    site?: string;
}
/** Collection utility */
export declare function getPageType(filepath: URL): 'collection' | 'static';
/** Build collection */
export declare function buildCollectionPage({ astroConfig, filepath, logging, mode, runtime, site, resolvePackageUrl, buildState }: PageBuildOptions): Promise<void>;
/** Build static page */
export declare function buildStaticPage({ astroConfig, buildState, filepath, runtime }: PageBuildOptions): Promise<void>;
export {};
