import type { AstroMarkdownOptions } from '../@types/astro';
export interface MarkdownRenderingOptions extends Partial<AstroMarkdownOptions> {
    $?: {
        scopedClassName: string | null;
    };
    mode: 'md' | 'astro-md';
}
/** Internal utility for rendering a full markdown file and extracting Frontmatter data */
export declare function renderMarkdownWithFrontmatter(contents: string, opts?: MarkdownRenderingOptions | null): Promise<{
    frontmatter: {
        [key: string]: any;
    };
    astro: {
        headers: any[];
        source: string;
    };
    content: string;
}>;
/** Shared utility for rendering markdown */
export declare function renderMarkdown(content: string, opts?: MarkdownRenderingOptions | null): Promise<{
    astro: {
        headers: any[];
        source: string;
    };
    content: string;
}>;
/** Is the given string a valid component tag */
export declare function isComponentTag(tag: string): boolean;
